/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.MotivoDevolucaoBilhete;
import java.util.List;

/**
 * 
 * @author Bruno Neves
 */
public interface MotivoDevolucaoBilheteService extends GenericService<MotivoDevolucaoBilhete, Integer> {

	public List<MotivoDevolucaoBilhete> buscar(String descmotivo, String tipomotivo);

	public List<MotivoDevolucaoBilhete> obtenerTodosTipoMotivoB();

	public List<MotivoDevolucaoBilhete> obtenerTodosEspecificos(Integer[] motivos);

	public boolean validaMotivoDevolucaoBilheteConstante(MotivoDevolucaoBilhete motivoDevolucaoBilhete);
}
